'use strict';var normalizeComponent=require('./normalize-component-a3a558e7.js'),wellKnownSymbol$1=require('./well-known-symbol-f1447879.js');var defineProperty = normalizeComponent.o.f;
var has = wellKnownSymbol$1.h;
var wellKnownSymbol = wellKnownSymbol$1.w;

var TO_STRING_TAG = wellKnownSymbol('toStringTag');

var setToStringTag = function (it, TAG, STATIC) {
  if (it && !has(it = STATIC ? it : it.prototype, TO_STRING_TAG)) {
    defineProperty(it, TO_STRING_TAG, { configurable: true, value: TAG });
  }
};exports.s=setToStringTag;